GDCM: gdcm::Attribute< Group, Element, TVR, VM::VM1 > Class Template Reference

GDCM 3.0.25

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
gdcm::Attribute< Group, Element, TVR, VM::VM1 > Class Template Reference

`#include <gdcmAttribute.h>`

Inheritance diagram for gdcm::Attribute< Group, Element, TVR, VM::VM1 >:
[legend]
Collaboration diagram for gdcm::Attribute< Group, Element, TVR, VM::VM1 >:
[legend]

## Public Types
enum | { VMType = VMToLength<VM::VM1>::Length }
enum |
typedef VRToType< TVR >::Type | ArrayType
typedef VRToType< TVR >::Type | ArrayType

## Public Member Functions
| GDCM_STATIC_ASSERT (((((VR::VRType) TVR &VR::VR_VM1) &&((VM::VMType) TVM==VM::VM1))||!((VR::VRType) TVR &VR::VR_VM1)))
| GDCM_STATIC_ASSERT (((((VR::VRType) TVR &VR::VR_VM1) &&((VM::VMType) VM::VM1==VM::VM1))||!((VR::VRType) TVR &VR::VR_VM1)))
| GDCM_STATIC_ASSERT (((VM::VMType) TVM &(VM::VMType)(TagToType< Group, Element >::VMType)))
| GDCM_STATIC_ASSERT (((VM::VMType) VM::VM1 &(VM::VMType)(TagToType< Group, Element >::VMType)))
| GDCM_STATIC_ASSERT (((VR::VRType) TVR &(VR::VRType)(TagToType< Group, Element >::VRType)))
| GDCM_STATIC_ASSERT (((VR::VRType) TVR &(VR::VRType)(TagToType< Group, Element >::VRType)))
| GDCM_STATIC_ASSERT (VMToLength< VM::VM1 >::Length==1)
DataElement | GetAsDataElement () const
DataElement | GetAsDataElement () const
unsigned int | GetNumberOfValues () const
unsigned int | GetNumberOfValues () const
ArrayType & | GetValue ()
ArrayType const & | GetValue () const
ArrayType & | GetValue (unsigned int idx=0)
ArrayType const & | GetValue (unsigned int idx=0) const
const ArrayType * | GetValues () const
const ArrayType * | GetValues () const
bool | operator!= (const Attribute &att) const
bool | operator!= (const Attribute &att) const
bool | operator< (const Attribute &att) const
bool | operator< (const Attribute &att) const
bool | operator== (const Attribute &att) const
bool | operator== (const Attribute &att) const
ArrayType & | operator[] (unsigned int idx)
ArrayType const & | operator[] (unsigned int idx) const
void | Print (std::ostream &os) const
void | Print (std::ostream &os) const
void | Set (DataSet const &ds)
void | Set (DataSet const &ds)
void | SetFromDataElement (DataElement const &de)
void | SetFromDataElement (DataElement const &de)
void | SetFromDataSet (DataSet const &ds)
void | SetFromDataSet (DataSet const &ds)
void | SetValue (ArrayType v)
void | SetValue (ArrayType v, unsigned int idx=0)
void | SetValues (const ArrayType *array, unsigned int numel=VMType)

## Static Public Member Functions
static VM | GetDictVM ()
static VM | GetDictVM ()
static VR | GetDictVR ()
static VR | GetDictVR ()
static Tag | GetTag ()
static Tag | GetTag ()
static VM | GetVM ()
static VM | GetVM ()
static VR | GetVR ()
static VR | GetVR ()

## Public Attributes
ArrayType | Internal [VMToLength< TVM >::Length]
ArrayType | Internal

## Protected Member Functions
void | SetByteValue (const ByteValue *bv)
void | SetByteValue (const ByteValue *bv)
void | SetByteValueNoSwap (const ByteValue *bv)
void | SetByteValueNoSwap (const ByteValue *bv)

## Member Typedef Documentation

## ◆ ArrayType [1/2]

typedef VRToType<TVR>::Type gdcm::Attribute< Group, Element, TVR, TVM >::ArrayType

## ◆ ArrayType [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

typedef VRToType<TVR>::Type gdcm::Attribute< Group, Element, TVR, VM::VM1 >::ArrayType

## Member Enumeration Documentation

## ◆ anonymous enum

template<uint16_t Group, uint16_t Element, long long TVR>

anonymous enum

Enumerator
VMType |

## ◆ anonymous enum

anonymous enum

## Member Function Documentation

## ◆ GDCM_STATIC_ASSERT() [1/7]

gdcm::Attribute< Group, Element, TVR, TVM >::GDCM_STATIC_ASSERT | ( | ((((VR::VRType) TVR &VR::VR_VM1) &&((VM::VMType) TVM==VM::VM1))||!((VR::VRType) TVR &VR::VR_VM1)) |  | ) |

## ◆ GDCM_STATIC_ASSERT() [2/7]

template<uint16_t Group, uint16_t Element, long long TVR>

gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GDCM_STATIC_ASSERT | ( | ((((VR::VRType) TVR &VR::VR_VM1) &&((VM::VMType) VM::VM1==VM::VM1))||!((VR::VRType) TVR &VR::VR_VM1)) |  | ) |

References gdcm::VM::VM1, and gdcm::VR::VR_VM1.

## ◆ GDCM_STATIC_ASSERT() [3/7]

gdcm::Attribute< Group, Element, TVR, TVM >::GDCM_STATIC_ASSERT | ( | ((VM::VMType) TVM &(VM::VMType)(TagToType< Group, Element >::VMType)) |  | ) |

## ◆ GDCM_STATIC_ASSERT() [4/7]

template<uint16_t Group, uint16_t Element, long long TVR>

gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GDCM_STATIC_ASSERT | ( | ((VM::VMType) VM::VM1 &(VM::VMType)(TagToType< Group, Element >::VMType)) |  | ) |

References gdcm::VM::VM1.

## ◆ GDCM_STATIC_ASSERT() [5/7]

gdcm::Attribute< Group, Element, TVR, TVM >::GDCM_STATIC_ASSERT | ( | ((VR::VRType) TVR &(VR::VRType)(TagToType< Group, Element >::VRType)) |  | ) |

## ◆ GDCM_STATIC_ASSERT() [6/7]

template<uint16_t Group, uint16_t Element, long long TVR>

gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GDCM_STATIC_ASSERT | ( | ((VR::VRType) TVR &(VR::VRType)(TagToType< Group, Element >::VRType)) |  | ) |

## ◆ GDCM_STATIC_ASSERT() [7/7]

template<uint16_t Group, uint16_t Element, long long TVR>

gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GDCM_STATIC_ASSERT | ( | VMToLength< VM::VM1 >::Length | = =1 | ) |

## ◆ GetAsDataElement() [1/2]

DataElement gdcm::Attribute< Group, Element, TVR, TVM >::GetAsDataElement | ( |  | ) | const
| inline

## ◆ GetAsDataElement() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

DataElement gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetAsDataElement | ( |  | ) | const
| inline

References GetNumberOfValues(), GetVR(), gdcm::DataElement::GetVR(), Internal, gdcm::DataElement::SetByteValue(), gdcm::DataElement::SetVR(), gdcm::VR::SQ, gdcm::VR::UI, and gdcm::VR::VRASCII.

## ◆ GetDictVM() [1/2]

static VM gdcm::Attribute< Group, Element, TVR, TVM >::GetDictVM | ( |  | ) |
| inlinestatic

## ◆ GetDictVM() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

static VM gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetDictVM | ( |  | ) |
| inlinestatic

## ◆ GetDictVR() [1/2]

static VR gdcm::Attribute< Group, Element, TVR, TVM >::GetDictVR | ( |  | ) |
| inlinestatic

## ◆ GetDictVR() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

static VR gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetDictVR | ( |  | ) |
| inlinestatic

## ◆ GetNumberOfValues() [1/2]

unsigned int gdcm::Attribute< Group, Element, TVR, TVM >::GetNumberOfValues | ( |  | ) | const
| inline

## ◆ GetNumberOfValues() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

unsigned int gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetNumberOfValues | ( |  | ) | const
| inline

Referenced by GetAsDataElement(), operator!=(), operator<(), operator==(), SetByteValue(), and SetByteValueNoSwap().

## ◆ GetTag() [1/2]

static Tag gdcm::Attribute< Group, Element, TVR, TVM >::GetTag | ( |  | ) |
| inlinestatic

## ◆ GetTag() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

static Tag gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetTag | ( |  | ) |
| inlinestatic

Referenced by Print().

## ◆ GetValue() [1/4]

template<uint16_t Group, uint16_t Element, long long TVR>

ArrayType & gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetValue | ( |  | ) |
| inline

References Internal.

## ◆ GetValue() [2/4]

template<uint16_t Group, uint16_t Element, long long TVR>

ArrayType const & gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetValue | ( |  | ) | const
| inline

References Internal.

## ◆ GetValue() [3/4]

ArrayType & gdcm::Attribute< Group, Element, TVR, TVM >::GetValue | ( | unsigned int | idx = 0 | ) |
| inline

## ◆ GetValue() [4/4]

ArrayType const & gdcm::Attribute< Group, Element, TVR, TVM >::GetValue | ( | unsigned int | idx = 0 | ) | const
| inline

## ◆ GetValues() [1/2]

const ArrayType * gdcm::Attribute< Group, Element, TVR, TVM >::GetValues | ( |  | ) | const
| inline

## ◆ GetValues() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

const ArrayType * gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetValues | ( |  | ) | const
| inline

References Internal.

## ◆ GetVM() [1/2]

static VM gdcm::Attribute< Group, Element, TVR, TVM >::GetVM | ( |  | ) |
| inlinestatic

## ◆ GetVM() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

static VM gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetVM | ( |  | ) |
| inlinestatic

References gdcm::VM::VM1.

## ◆ GetVR() [1/2]

static VR gdcm::Attribute< Group, Element, TVR, TVM >::GetVR | ( |  | ) |
| inlinestatic

## ◆ GetVR() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

static VR gdcm::Attribute< Group, Element, TVR, VM::VM1 >::GetVR | ( |  | ) |
| inlinestatic

Referenced by GetAsDataElement(), and SetFromDataElement().

## ◆ operator!=() [1/2]

bool gdcm::Attribute< Group, Element, TVR, TVM >::operator!= | ( | const Attribute< Group, Element, TVR, VM::VM1 > & | att | ) | const
| inline

## ◆ operator!=() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

bool gdcm::Attribute< Group, Element, TVR, VM::VM1 >::operator!= | ( | const Attribute< Group, Element, TVR, VM::VM1 > & | att | ) | const
| inline

References GetNumberOfValues(), gdcm::Attribute< Group, Element, TVR, TVM >::GetValues(), and Internal.

## ◆ operator<() [1/2]

bool gdcm::Attribute< Group, Element, TVR, TVM >::operator< | ( | const Attribute< Group, Element, TVR, VM::VM1 > & | att | ) | const
| inline

## ◆ operator<() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

bool gdcm::Attribute< Group, Element, TVR, VM::VM1 >::operator< | ( | const Attribute< Group, Element, TVR, VM::VM1 > & | att | ) | const
| inline

References gdcm::Attribute< Group, Element, TVR, TVM >::GetNumberOfValues(), GetNumberOfValues(), gdcm::Attribute< Group, Element, TVR, TVM >::GetValues(), and Internal.

## ◆ operator==() [1/2]

bool gdcm::Attribute< Group, Element, TVR, TVM >::operator== | ( | const Attribute< Group, Element, TVR, VM::VM1 > & | att | ) | const
| inline

## ◆ operator==() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

bool gdcm::Attribute< Group, Element, TVR, VM::VM1 >::operator== | ( | const Attribute< Group, Element, TVR, VM::VM1 > & | att | ) | const
| inline

References GetNumberOfValues(), gdcm::Attribute< Group, Element, TVR, TVM >::GetValues(), and Internal.

## ◆ operator[]() [1/2]

ArrayType & gdcm::Attribute< Group, Element, TVR, TVM >::operator[] | ( | unsigned int | idx | ) |
| inline

## ◆ operator[]() [2/2]

ArrayType const & gdcm::Attribute< Group, Element, TVR, TVM >::operator[] | ( | unsigned int | idx | ) | const
| inline

## ◆ Print() [1/2]

void gdcm::Attribute< Group, Element, TVR, TVM >::Print | ( | std::ostream & | os | ) | const
| inline

## ◆ Print() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::Print | ( | std::ostream & | os | ) | const
| inline

References GetTag(), and Internal.

## ◆ Set() [1/2]

void gdcm::Attribute< Group, Element, TVR, TVM >::Set | ( | DataSet const & | ds | ) |
| inline

## ◆ Set() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::Set | ( | DataSet const & | ds | ) |
| inline

References gdcm::DataSet::GetDataElement(), and SetFromDataElement().

## ◆ SetByteValue() [1/2]

void gdcm::Attribute< Group, Element, TVR, TVM >::SetByteValue | ( | const ByteValue * | bv | ) |
| inlineprotected

## ◆ SetByteValue() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::SetByteValue | ( | const ByteValue * | bv | ) |
| inlineprotected

References gdcm::ByteValue::GetLength(), GetNumberOfValues(), gdcm::ByteValue::GetPointer(), and Internal.

Referenced by SetFromDataElement().

## ◆ SetByteValueNoSwap() [1/2]

void gdcm::Attribute< Group, Element, TVR, TVM >::SetByteValueNoSwap | ( | const ByteValue * | bv | ) |
| inlineprotected

## ◆ SetByteValueNoSwap() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::SetByteValueNoSwap | ( | const ByteValue * | bv | ) |
| inlineprotected

References gdcm::ByteValue::GetLength(), GetNumberOfValues(), gdcm::ByteValue::GetPointer(), and Internal.

Referenced by SetFromDataElement().

## ◆ SetFromDataElement() [1/2]

void gdcm::Attribute< Group, Element, TVR, TVM >::SetFromDataElement | ( | DataElement const & | de | ) |
| inline

## ◆ SetFromDataElement() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::SetFromDataElement | ( | DataElement const & | de | ) |
| inline

References gdcm::DataElement::GetByteValue(), gdcm::DataElement::GetTag(), GetVR(), gdcm::DataElement::GetVR(), gdcm::VR::INVALID, gdcm::DataElement::IsEmpty(), SetByteValue(), SetByteValueNoSwap(), and gdcm::VR::UN.

Referenced by Set(), and SetFromDataSet().

## ◆ SetFromDataSet() [1/2]

void gdcm::Attribute< Group, Element, TVR, TVM >::SetFromDataSet | ( | DataSet const & | ds | ) |
| inline

## ◆ SetFromDataSet() [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::SetFromDataSet | ( | DataSet const & | ds | ) |
| inline

References gdcm::DataSet::FindDataElement(), gdcm::DataSet::GetDataElement(), and SetFromDataElement().

## ◆ SetValue() [1/2]

template<uint16_t Group, uint16_t Element, long long TVR>

void gdcm::Attribute< Group, Element, TVR, VM::VM1 >::SetValue | ( | ArrayType | v | ) |
| inline

References Internal.

## ◆ SetValue() [2/2]

void gdcm::Attribute< Group, Element, TVR, TVM >::SetValue | ( | ArrayType | v,
|  | unsigned int | idx = 0 )
| inline

## ◆ SetValues()

void gdcm::Attribute< Group, Element, TVR, TVM >::SetValues | ( | const ArrayType * | array,
|  | unsigned int | numel = VMType )
| inline

## Member Data Documentation

## ◆ Internal [1/2]

ArrayType gdcm::Attribute< Group, Element, TVR, TVM >::Internal[VMToLength< TVM >::Length]

## ◆ Internal [2/2]

template<uint16_t Group, uint16_t Element, long long TVR>

ArrayType gdcm::Attribute< Group, Element, TVR, VM::VM1 >::Internal

Referenced by GetAsDataElement(), GetValue(), GetValue(), GetValues(), operator!=(), operator<(), operator==(), Print(), SetByteValue(), SetByteValueNoSwap(), and SetValue().

The documentation for this class was generated from the following file:

- gdcmAttribute.h